From bounce-debian-bugs-dist==chris-lamb.co.uk@lists.debian.org Sun Apr 20 17:59:55 2008
Received: from liszt.debian.org ([82.195.75.100])
	by chris-lamb.co.uk with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.63)
	(envelope-from <bounce-debian-bugs-dist==chris-lamb.co.uk@lists.debian.org>)
	id 1JnctH-0008On-V9
	for bot.address@chris-lamb.co.uk; Sun, 20 Apr 2008 17:59:54 +0100
Received: from localhost (localhost [127.0.0.1])
	by liszt.debian.org (Postfix) with QMQP
	id E98DC13A4F92; Sun, 20 Apr 2008 16:59:46 +0000 (UTC)
Old-Return-Path: <debbugs@rietz.debian.org>
X-Spam-Checker-Version: SpamAssassin 3.2.3 (2007-08-08) on liszt.debian.org
X-Spam-Level: 
X-Spam-Status: No, score=-7.9 required=4.0 tests=BAYES_00,FOURLA,
	FVGT_m_MULTI_ODD,LDO_WHITELIST,RCVD_IN_DNSWL_LOW autolearn=ham version=3.2.3
X-Original-To: debian-bugs-dist@lists.debian.org
Delivered-To: lists-debian-bugs-dist@liszt.debian.org
Received: from rietz.debian.org (rietz.debian.org [140.211.166.43])
	by liszt.debian.org (Postfix) with ESMTP id 16D5013A4ECE;
	Sun, 20 Apr 2008 16:59:35 +0000 (UTC)
Received: from debbugs by rietz.debian.org with local (Exim 4.63)
	(envelope-from <debbugs@rietz.debian.org>)
	id 1Jncqk-0007Qj-N0; Sun, 20 Apr 2008 16:57:10 +0000
X-Loop: owner@bugs.debian.org
Subject: Bug#476987: exim4-daemon-light: fails to install: incompatible command-line options or arguments
Reply-To: Laurent Fousse <laurent@komite.net>, 476987@bugs.debian.org
Resent-From: Laurent Fousse <laurent@komite.net>
Resent-To: debian-bugs-dist@lists.debian.org
Resent-CC: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Resent-Date: Sun, 20 Apr 2008 16:57:10 +0000
Resent-Message-ID: <handler.476987.B476987.120871038615970@bugs.debian.org>
X-Debian-PR-Message: followup 476987
X-Debian-PR-Package: exim4-daemon-light
X-Debian-PR-Keywords: 
X-Debian-PR-Source: exim4
Received: via spool by 476987-submit@bugs.debian.org id=B476987.120871038615970
          (code B ref 476987); Sun, 20 Apr 2008 16:57:10 +0000
Received: (at 476987) by bugs.debian.org; 20 Apr 2008 16:53:06 +0000
X-Amavis-Spam-Status: No, score=-6.9 required=4.0 tests=BAYES_00,FOURLA,
	FVGT_m_MULTI_ODD,HAS_BUG_NUMBER autolearn=no 
	version=3.1.4-bugs.debian.org_2005_01_02
Received: from golem.lateralis.org ([213.251.166.13])
	by rietz.debian.org with esmtp (Exim 4.63)
	(envelope-from <laurent@liche.lateralis.org>)
	id 1Jncmn-00048V-0i
	for 476987@bugs.debian.org; Sun, 20 Apr 2008 16:53:05 +0000
Received: from laurent by golem.lateralis.org with local (Exim 4.63)
	(envelope-from <laurent@liche.lateralis.org>)
	id 1Jncmh-0007pd-CO; Sun, 20 Apr 2008 18:52:59 +0200
Date: Sun, 20 Apr 2008 18:52:59 +0200
From: Laurent Fousse <laurent@komite.net>
To: Andreas Metzler <ametzler@downhill.at.eu.org>
Cc: 476987@bugs.debian.org
Message-ID: <20080420165259.GT16783@liche.lateralis.org>
References: <20080420151201.GA19758@bourrasque.imag.fr> <20080420153248.GC3135@downhill.g.la>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="GID0FwUMdk1T2AWN"
Content-Disposition: inline
In-Reply-To: <20080420153248.GC3135@downhill.g.la>
User-Agent: Mutt/1.5.13 (2006-08-11)
Resent-Date: Sun, 20 Apr 2008 16:57:10 +0000
X-Debian-Message: from BTS
X-Rc-Virus: 2007-09-13_01
X-Rc-Spam: 2007-10-04_01
X-Mailing-List: <debian-bugs-dist@lists.debian.org> archive/latest/343658
X-Loop: debian-bugs-dist@lists.debian.org
List-Id: <debian-bugs-dist.lists.debian.org>
List-Post: <mailto:debian-bugs-dist@lists.debian.org>
List-Help: <mailto:debian-bugs-dist-request@lists.debian.org?subject=help>
List-Subscribe: <mailto:debian-bugs-dist-request@lists.debian.org?subject=subscribe>
List-Unsubscribe: <mailto:debian-bugs-dist-request@lists.debian.org?subject=unsubscribe>
Precedence: list
Resent-Sender: debian-bugs-dist-request@lists.debian.org
Received-SPF: none
X-SPF-Guess: pass
X-Spam-Score: -31.0
X-Spam-Report: (-31.0 points, 5.0 required)
	pts rule name              description
	---- ---------------------- --------------------------------------------------
	-50 D_FOR_BOT              For debian-devel-changes bot
	0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay lines
	-2.6 BAYES_00               BODY: Bayesian spam probability is 0 to 1%
	[score: 0.0000]
	22 AWL                    AWL: From: address is in the auto white-list


--GID0FwUMdk1T2AWN
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

* Andreas Metzler [Sun, Apr 20, 2008 at 05:32:48PM +0200]:
> Hello,
> Please provide the complete debugging output, and the contents of
> /etc/init.d/exim4 and /etc/default/exim4

Here goes.

--GID0FwUMdk1T2AWN
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="init.d.exim4"

#! /bin/sh
# /etc/init.d/exim4
#
# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
# Modified for exim by Tim Cutts <timc@chiark.greenend.org.uk>
# Modified for exim4 by Andreas Metzler <ametzler@downhill.at.eu.org>
#                   and Marc Haber <mh+debian-packages@zugschlus.de>

### BEGIN INIT INFO
# Provides:          exim4
# Required-Start:    $remote_fs $syslog $named $network $time
# Required-Stop:     $remote_fs $syslog $named $network
# Should-Start:      postgresql mysql clamav-daemon greylist spamassassin
# Should-Stop:       postgresql mysql clamav-daemon greylist spamassassin
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: exim Mail Transport Agent
# Description:       exim is a Mail Transport agent
### END INIT INFO

set -e

if ! [ -x "/lib/lsb/init-functions" ]; then
  . /lib/lsb/init-functions
else
  echo "E: /lib/lsb/init-functions not found, lsb-base (>= 3.0-6) needed"
  exit 1
fi

if [ -n "$EX4DEBUG" ]; then
  echo "now debugging $0 $@"
  set -x
fi

LANG=C
export LANG

#read default file
QUEUERUNNER='combined'
QUEUEINTERVAL='30m'
UPEX4OPTS=''
PIDFILE="/var/run/exim4/exim.pid"
QRPIDFILE="/var/run/exim4/eximqr.pid"
[ -f /etc/default/exim4 ] && . /etc/default/exim4

upex4conf() {
  UPEX4CONF="update-exim4.conf"
  OLDIFS="$IFS"
  IFS=:
  for p in $PATH; do
    if [ -x "$p/$UPEX4CONF" ]; then
      IFS="$OLDIFS"
      $p/$UPEX4CONF $UPEX4OPTS
      return 0
    fi
  done
  IFS="$OLDIFS"
}

# Exit if exim runs from /etc/inetd.conf
if [ -f /etc/inetd.conf ] && grep -E -q '^[[:space:]]*((\*|[[:alnum:].-]+):)?smtp' /etc/inetd.conf
then
  upex4conf
  exit 0
fi


DAEMON="/usr/sbin/exim4"
NAME="exim4"

##test -x $DAEMON || exit 0
test -x /usr/lib/exim4/exim4 || exit 0

# this is from madduck on IRC, 2006-07-06
# There should be a better possibility to give daemon error messages
# and/or to log things
log()
{
  case "$1" in
    [[:digit:]]*) success=$1; shift;;
    *) :;;
  esac
  log_action_begin_msg "$1"; shift
  log_action_end_msg ${success:-0} "$*"
}

start_exim()
{
  [ -e /var/run/exim4 ] || \
    install -d -oDebian-exim -gDebian-exim -m750 /var/run/exim4
  case ${QUEUERUNNER} in
    combined)
      start_daemon -p "$PIDFILE" \
        "$DAEMON" -bd "-q${QFLAGS}${QUEUEINTERVAL}" \
        "${COMMONOPTIONS}" "${QUEUERUNNEROPTIONS}" "${SMTPLISTENEROPTIONS}"
      log_progress_msg "exim4"
      ;;
    separate)
      start_daemon -p "$PIDFILE" \
        "$DAEMON" -bd "${SMTPLISTENEROPTIONS}" "${COMMONOPTIONS}"
      log_progress_msg "exim4_listener"
      start_daemon -p "$QRPIDFILE" \
        "$DAEMON" -oP "$QRPIDFILE" \
        "-q${QFLAGS}${QUEUEINTERVAL}" "${QUEUERUNNEROPTIONS}" "${COMMONOPTIONS}"
      log_progress_msg "exim4_queuerunner"
      ;;
    queueonly)
      start_daemon -p "$QRPIDFILE" \
        "$DAEMON" -oP "$QRPIDFILE" \
        "-q${QFLAGS}${QUEUEINTERVAL}" "${QUEUERUNNEROPTIONS}" "${COMMONOPTIONS}"
      log_progress_msg "exim4_queuerunner"
      ;;
    no|ppp)
      start_daemon -p "$PIDFILE" \
        "$DAEMON" -bd "${SMTPLISTENEROPTIONS}"
      log_progress_msg "exim4_listener"
      ;;
    nodaemon)
      ;;    
  esac
}

stop_exim()
{
# we try to kill eximqr and exim SMTP listener, no matter what
# ${QUEUERUNNER} is set to, we could have switched since starting.
  if [ -f "$QRPIDFILE" ]; then
    killproc -p "$QRPIDFILE" "$DAEMON"
    log_progress_msg "exim4_queuerunner"
  fi
  if [ -f "$PIDFILE" ]; then
    killproc -p "$PIDFILE" "$DAEMON"
    log_progress_msg "exim4_listener"
  fi
}

reload_exim()
{
  case ${QUEUERUNNER} in
    combined|no|ppp)
      killproc -p "$PIDFILE" "$DAEMON" -HUP
      log_progress_msg "exim4"
      ;;
    separate)
      killproc -p "$PIDFILE" "$DAEMON" -HUP
      log_progress_msg "exim4_listener"
      killproc -p "$QRPIDFILE" "$DAEMON" -HUP
      log_progress_msg "exim4_queuerunner"
      ;;
  esac
}

kill_all_exims()
{  SIG="${1:-TERM}"
  for pid in $(pidof $NAME); do
    if [ "$(readlink /proc/$pid/root)" = "/" ]; then
      kill -$SIG $pid
    fi
  done
}

status()
{
  # the exit value of this function reflects the status of the SMTP
  # service. Output shows the status of the queue runner as well.
  SMTPNAME="SMTP listener daemon"
  QRNAME="separate queue runner daemon"
  if [ "${QUEUERUNNER}" = "combined" ]; then
      SMTPNAME="combined SMTP listener and queue runner daemon"
  fi
  log_action_begin_msg "checking $QRNAME"
  if pidofproc -p "$QRPIDFILE" >/dev/null; then
    log_action_end_msg 0 "running"
  else
    if [ -e "$QRPIDFILE" ]; then
      log_action_end_msg 1 "$QRNAME failed"
    else
      log_action_end_msg 0 "not running"
    fi
  fi
  log_action_begin_msg "checking $SMTPNAME"
  if pidofproc -p "$PIDFILE" >/dev/null; then
    log_action_end_msg 0 "running"
    exit 0
  else
    if [ -e "$PIDFILE" ]; then
      log_action_end_msg 1 "$SMTPNAME failed"
      exit 1
    else
      log_action_end_msg 0 "not running"
      exit 3
    fi
  fi
}

# check for valid configuration file
isconfigvalid()
{
if ! $DAEMON -bV > /dev/null ; then
  log 1 "Warning! Invalid configuration file for $NAME. Exiting."
  exit 1
fi
}

# check for non-empty paniclog
warn_paniclog()
{
  if [ -s "/var/log/exim4/paniclog" ]; then
    if [ -z "$E4BCD_PANICLOG_NOISE" ] || grep -vq "$E4BCD_PANICLOG_NOISE" /var/log/exim4/paniclog; then
      log_failure_msg "ALERT: exim paniclog /var/log/exim4/paniclog has non-zero size, mail system possibly broken"
    fi
  fi
}

case "$1" in
  start)
    log_daemon_msg "Starting MTA"
    # regenerate exim4.conf
    upex4conf
    isconfigvalid
    start_exim
    log_end_msg 0
    warn_paniclog
    ;;
  stop)
    log_daemon_msg "Stopping MTA"
    stop_exim
    log_end_msg 0
    warn_paniclog
    ;;
  restart)
    log_daemon_msg "Stopping MTA for restart"
    # regenerate exim4.conf
    upex4conf
    isconfigvalid
    stop_exim
    log_end_msg 0
    sleep 2
    log_daemon_msg "Restarting MTA"
    start_exim
    log_end_msg 0
    warn_paniclog
    ;;
  reload|force-reload)
    log_daemon_msg "Reloading $NAME configuration files"
    # regenerate exim4.conf
    upex4conf
    isconfigvalid
    reload_exim
    log_end_msg 0
    warn_paniclog
    ;;
  status)
    status
    ;;
  what)
    exiwhat
    ;;
  force-stop)
    kill_all_exims $2
    ;;
  *)
    echo "Usage: $0 {start|stop|restart|reload|status|what|force-stop}"
    exit 1
    ;;
esac

exit 0
# vim:tabstop=2:expandtab:shiftwidth=2

--GID0FwUMdk1T2AWN
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="default.exim4"

# /etc/default/exim4
EX4DEF_VERSION=''

# 'combined' -	 one daemon running queue and listening on SMTP port
# 'no'       -	 no daemon running the queue
# 'separate' -	 two separate daemons
# 'ppp'      -   only run queue with /etc/ppp/ip-up.d/exim4.
# 'nodaemon' - no daemon is started at all.
# 'queueonly' - only a queue running daemon is started, no SMTP listener.
# setting this to 'no' will also disable queueruns from /etc/ppp/ip-up.d/exim4
QUEUERUNNER='combined'
# how often should we run the queue
QUEUEINTERVAL='30m'
# options common to quez-runner and listening daemon
COMMONOPTIONS=''
# more options for the daemon/process running the queue (applies to the one
# started in /etc/ppp/ip-up.d/exim4, too.
QUEUERUNNEROPTIONS=''
# special flags given to exim directly after the -q. See exim(8)
QFLAGS=''
# options for daemon listening on port 25
SMTPLISTENEROPTIONS=''

--GID0FwUMdk1T2AWN
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename=debuglog

now debugging /etc/init.d/exim4 restart
+ LANG=C
+ export LANG
+ QUEUERUNNER=combined
+ QUEUEINTERVAL=30m
+ UPEX4OPTS=
+ PIDFILE=/var/run/exim4/exim.pid
+ QRPIDFILE=/var/run/exim4/eximqr.pid
+ '[' -f /etc/default/exim4 ']'
+ . /etc/default/exim4
++ EX4DEF_VERSION=
++ QUEUERUNNER=combined
++ QUEUEINTERVAL=30m
++ COMMONOPTIONS=
++ QUEUERUNNEROPTIONS=
++ QFLAGS=
++ SMTPLISTENEROPTIONS=
+ '[' -f /etc/inetd.conf ']'
+ grep -E -q '^[[:space:]]*((\*|[[:alnum:].-]+):)?smtp' /etc/inetd.conf
+ DAEMON=/usr/sbin/exim4
+ NAME=exim4
+ test -x /usr/lib/exim4/exim4
+ case "$1" in
+ log_daemon_msg 'Stopping MTA for restart'
+ '[' -z 'Stopping MTA for restart' ']'
+ '[' -z '' ']'
+ echo -n 'Stopping MTA for restart:'
Stopping MTA for restart:+ return
+ upex4conf
+ UPEX4CONF=update-exim4.conf
+ OLDIFS=' 	
'
+ IFS=:
+ for p in '$PATH'
+ '[' -x /usr/local/sbin/update-exim4.conf ']'
+ for p in '$PATH'
+ '[' -x /usr/local/bin/update-exim4.conf ']'
+ for p in '$PATH'
+ '[' -x /usr/sbin/update-exim4.conf ']'
+ IFS=' 	
'
+ /usr/sbin/update-exim4.conf
+ return 0
+ isconfigvalid
+ /usr/sbin/exim4 -bV
+ stop_exim
+ '[' -f /var/run/exim4/eximqr.pid ']'
+ '[' -f /var/run/exim4/exim.pid ']'
+ log_end_msg 0
+ '[' -z 0 ']'
+ log_use_fancy_output
+ TPUT=/usr/bin/tput
+ EXPR=/usr/bin/expr
+ '[' -t 1 ']'
+ FANCYTTY=0
+ case "$FANCYTTY" in
+ false
+ '[' 0 -eq 0 ']'
+ echo .
.
+ return 0
+ sleep 2
+ log_daemon_msg 'Restarting MTA'
+ '[' -z 'Restarting MTA' ']'
+ '[' -z '' ']'
+ echo -n 'Restarting MTA:'
Restarting MTA:+ return
+ start_exim
+ '[' -e /var/run/exim4 ']'
+ case ${QUEUERUNNER} in
+ start_daemon -p /var/run/exim4/exim.pid /usr/sbin/exim4 -bd -q30m '' '' ''
+ local force nice pidfile exec i
+ force=0
+ nice=0
+ pidfile=/dev/null
+ OPTIND=1
+ getopts fn:p: opt
+ case "$opt" in
+ pidfile=/var/run/exim4/exim.pid
+ getopts fn:p: opt
+ shift 2
+ '[' /usr/sbin/exim4 = -- ']'
+ exec=/usr/sbin/exim4
+ shift
+ '[' 0 = 1 ']'
+ '[' /var/run/exim4/exim.pid ']'
+ /sbin/start-stop-daemon --start --nicelevel 0 --quiet --exec /usr/sbin/exim4 --oknodo --pidfile /var/run/exim4/exim.pid -- -bd -q30m '' '' ''
exim: incompatible command-line options or arguments

--GID0FwUMdk1T2AWN--



-- 
To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


